Get list of technician positions

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.praxedo.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "public-rest-apis MCP server": {
    "url": "https://developers.praxedo.com/mcp"
  }
}

Close
GET /eTech/rest/ws/fieldTracking/v1/technicians/code:{technicianCode}/positions

This API endpoint returns paginated lists of technician positions. Data is sorted by timestamp. Pagination is fixed at 500 objects per page. An empty response indicates the final page.

Rate limit range : Low

Path parameters

  • technicianCode string Required

    Business code of the technician.

Query parameters

  • startDate string(date-time) Required

    Retrieve positions recorded from this date-time (ISO-8601 UTC).

  • continuationToken string

    The continuation token which was received in the previous request. It contains information on the page to fetch. If not present, then the first page of results will be returned.

Responses

  • 200 application/json

    OK - List of technician positions.

    Hide response attributes Show response attributes object
    • continuationToken string | null
    • data array[object] Required
      Hide data attributes Show data attributes object
      • latitude number(double)
      • longitude number(double)
      • timestamp string(date-time)
  • 400 application/json

    Bad Request - continuation token error.

    Hide response attributes Show response attributes object
    • errors array[object]

      Array of errors. Contains at least one element.

      Hide errors attributes Show errors attributes object

      Contains code and message for error.

      • code string Required
      • message string Required
    • errorReference string Required

      Error unique reference. Communicated to support, this will help to locate the issue.

      Format should match the following pattern: [0-1a-z].

  • 401 application/json

    Unauthorized - authentication issue.

    Hide response attributes Show response attributes object
    • errors array[object]

      Array of errors. Contains at least one element.

      Hide errors attributes Show errors attributes object

      Contains code and message for error.

      • code string Required
      • message string Required
    • errorReference string Required

      Error unique reference. Communicated to support, this will help to locate the issue.

      Format should match the following pattern: [0-1a-z].

  • 403 application/json

    Forbidden - not enough rights.

    Hide response attributes Show response attributes object
    • errors array[object]

      Array of errors. Contains at least one element.

      Hide errors attributes Show errors attributes object

      Contains code and message for error.

      • code string Required
      • message string Required
    • errorReference string Required

      Error unique reference. Communicated to support, this will help to locate the issue.

      Format should match the following pattern: [0-1a-z].

  • 404 application/json

    Not Found - Technician not found.

    Hide response attributes Show response attributes object
    • errors array[object]

      Array of errors. Contains at least one element.

      Hide errors attributes Show errors attributes object

      Contains code and message for error.

      • code string Required
      • message string Required
    • errorReference string Required

      Error unique reference. Communicated to support, this will help to locate the issue.

      Format should match the following pattern: [0-1a-z].

  • 429 application/json

    Too Many Requests.

    Hide response attributes Show response attributes object
    • errors array[object]

      Array of errors. Contains at least one element.

      Hide errors attributes Show errors attributes object

      Contains code and message for error.

      • code string Required
      • message string Required
    • errorReference string Required

      Error unique reference. Communicated to support, this will help to locate the issue.

      Format should match the following pattern: [0-1a-z].

  • 500 application/json

    Internal server error.

    Hide response attributes Show response attributes object
    • errors array[object]

      Array of errors. Contains at least one element.

      Hide errors attributes Show errors attributes object

      Contains code and message for error.

      • code string Required
      • message string Required
    • errorReference string Required

      Error unique reference. Communicated to support, this will help to locate the issue.

      Format should match the following pattern: [0-1a-z].

GET /eTech/rest/ws/fieldTracking/v1/technicians/code:{technicianCode}/positions
curl \
 --request GET 'https://ws-eu1.praxedo.com/eTech/rest/ws/fieldTracking/v1/technicians/code:DHAJJAR/positions?startDate=2026-05-04T09%3A42%3A00Z' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "continuationToken": "c2FqZGhmYmtrMzQ1YiBrZiA5MyBrYmdrcTg3MjMgazg5bm4gICAwNCAgbmVpcnQ4NzkzbiBnb3A4NA==",
  "data": [
    {
      "latitude": 48.8566,
      "longitude": 2.3522,
      "timestamp": "2025-10-25 08:05:00 UTC"
    },
    {
      "latitude": 48.8571,
      "longitude": 2.3535,
      "timestamp": "2025-10-25 08:06:42 UTC"
    },
    {
      "latitude": 48.8583,
      "longitude": 2.3549,
      "timestamp": "2025-10-25 08:08:15 UTC"
    },
    {
      "latitude": 48.8597,
      "longitude": 2.3561,
      "timestamp": "2025-10-25 08:10:30 UTC"
    },
    {
      "latitude": 48.8597,
      "longitude": 2.3562,
      "timestamp": "2025-10-25 08:12:05 UTC"
    }
  ]
}
{
  "continuationToken": null,
  "data": [
    {
      "latitude": 48.8602,
      "longitude": 2.357,
      "timestamp": "2025-10-25 08:14:00 UTC"
    },
    {
      "latitude": 48.8605,
      "longitude": 2.3575,
      "timestamp": "2025-10-25 08:16:20 UTC"
    },
    {
      "latitude": 48.8608,
      "longitude": 2.358,
      "timestamp": "2025-10-25 08:18:45 UTC"
    },
    {
      "latitude": 48.861,
      "longitude": 2.3583,
      "timestamp": "2025-10-25 08:20:10 UTC"
    },
    {
      "latitude": 48.8612,
      "longitude": 2.3585,
      "timestamp": "2025-10-25 08:22:30 UTC"
    }
  ]
}
{
  "continuationToken": null,
  "data": []
}
Response examples (400)
{
  "errors": [
    {
      "code": "fieldTracking.continuationToken.invalid",
      "message": "The provided continuation token does not respect the expected format."
    }
  ],
  "errorReference": "59ddc09a23159395367307ab95b1c41a"
}
Response examples (401)
{
  "errors": [
    {
      "code": "unauthorized.nocredentials",
      "message": "No credentials."
    }
  ],
  "errorReference": "f939c6b8c15045c9a70f500fdb570555"
}
{
  "errors": [
    {
      "code": "unauthorized.badcredentials",
      "message": "Bad Credentials."
    }
  ],
  "errorReference": "f1028f99811b422eb21f5ff176664069"
}
Response examples (403)
{
  "errors": [
    {
      "code": "access.forbiden",
      "message": "You don't have the rights to access this resource."
    }
  ],
  "errorReference": "a745dc4c5a2b473aaf8ce94c9260aa8f"
}
Response examples (404)
{
  "errors": [
    {
      "code": "fieldTracking.technician.notfound",
      "message": "Technician with code 'UNKNOWN_TECH' not found."
    }
  ],
  "errorReference": "a745dc4c5a2b473aaf8ce94c9260aa8f"
}
Response examples (429)
{
  "errors": [
    {
      "code": "ratelimiter.toomanyrequest",
      "message": "Rejected because of the rate limit definition."
    }
  ],
  "errorReference": "973326230a3f44daba6cc34a5939b4fb"
}
Response examples (500)
{
  "errors": [
    {
      "code": "internal.server.error",
      "message": "Something went wrong."
    }
  ],
  "errorReference": "6377010431314bf6b0b95ec4d32ddae0"
}